import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:news_getx/modules/main/widgets/categories.dart';
import 'package:news_getx/modules/main/widgets/channels.dart';
import 'package:news_getx/modules/main/widgets/news_letter.dart';
import 'package:news_getx/modules/main/widgets/news_list.dart';
import 'package:news_getx/modules/main/widgets/recommend.dart';

import 'main_controller.dart';

class MainPage extends GetView<MainController> {
  const MainPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return SingleChildScrollView(
      child: Column(
        children: <Widget>[
          NewsCategoriesWidget(),
          Divider(height: 1),
          NewsRecommendWidget(),
          Divider(height: 1),
          NewsChannelsWidget(),
          Divider(height: 1),
          NewsListWidget(),
          Divider(height: 1),
          NewsLetterWidget(),
        ],
      ),
    );
  }
}
